libmpdec-dev_2.4.2-2_amd64.deb


Advertisement

Description

libmpdec-dev - library for decimal floating point arithmetic (development files)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libmpdec-dev_2.4.2-2_amd64.deb
Package name libmpdec-dev
Package version 2.4.2
Package release 2
Package architecture amd64
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://www.bytereef.org/mpdecimal/index.html
License -
Maintainer Matthias Klose <doko@debian.org>
Download size 91.18 KB
Installed size 407.00 KB
mpdecimal is a package for correctly-rounded arbitrary precision decimal
floating point arithmetic.

Alternatives

Package Version Architecture Repository
libmpdec-dev_2.4.2-2_i386.deb 2.4.2 i386 Debian Main
libmpdec-dev - - -

Requires

Name Value
libmpdec2 = 2.4.2-2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmpdec-dev_2.4.2-2_amd64.deb
Source Package mpdecimal

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmpdec-dev deb package:
    # sudo apt-get install libmpdec-dev

Files

Path
/usr/include/x86_64-linux-gnu/mpdecimal.h
/usr/lib/x86_64-linux-gnu/libmpdec.a
/usr/lib/x86_64-linux-gnu/libmpdec.so
/usr/share/doc/libmpdec-dev/README.txt
/usr/share/doc/libmpdec-dev/changelog.Debian.gz
/usr/share/doc/libmpdec-dev/changelog.gz
/usr/share/doc/libmpdec-dev/copyright

Changelog

2018-04-23 - Matthias Klose <doko@debian.org>
mpdecimal (2.4.2-2) unstable; urgency=medium
* Bump standards version.
* Fix building the docs in recent unstable (Steve Langasek). Closes: #887735.
2016-03-18 - Matthias Klose <doko@debian.org>
mpdecimal (2.4.2-1) unstable; urgency=medium
* New upstream release.
* Split out a libmpdec-doc package. Closes: #751861.
2014-08-31 - Matthias Klose <doko@debian.org>
mpdecimal (2.4.1-1) unstable; urgency=medium
* New upstream release.
2014-01-10 - Matthias Klose <doko@debian.org>
mpdecimal (2.4.0-6) unstable; urgency=medium
* Fix the uint128_t detection, so several architectures don't use the
substantially slower ANSI build (Stefan Krah).
* Fix the dangling .so symlink.
2014-01-10 - Matthias Klose <doko@debian.org>
mpdecimal (2.4.0-5) unstable; urgency=medium
* Always build with -fPIC, fixing build failure on sparc64.
* Don't use amd64-any in the symbols file, matching x32 for some reason.
See #734842.
2014-01-10 - Matthias Klose <doko@debian.org>
mpdecimal (2.4.0-4) unstable; urgency=medium
* Disable the allocation failure tests, takes too long to run
on slow architectures (Stefan Krah).
2014-01-09 - Matthias Klose <doko@debian.org>
mpdecimal (2.4.0-3) unstable; urgency=medium
* Fix symbols file for x32.
* Make the test run a bit more verbose (Stefan Krah).
2014-01-08 - Matthias Klose <doko@debian.org>
mpdecimal (2.4.0-2) unstable; urgency=medium
* Run the subset of tests which can be run without downloading
additional files.
* debian/control: Use ${sphinxdoc:Depends}.
* Removed copyrights for files removed upstream in 2.4.
2014-01-05 - Matthias Klose <doko@debian.org>
mpdecimal (2.4.0-1) unstable; urgency=medium
* New upstream release.
2013-11-23 - Matthias Klose <doko@debian.org>
mpdecimal (2.3-3) unstable; urgency=low
* Update symbols file for non-x86 32bit architectures.

See Also

Package Description
libmpdec-doc_2.4.2-2_all.deb library for decimal floating point arithmetic (documentation)
libmpdec2_2.4.2-2_amd64.deb library for decimal floating point arithmetic (runtime library)
libmpeg2-4-dev_0.5.1-8_amd64.deb libmpeg2 development libraries and headers
libmpeg2-4_0.5.1-8_amd64.deb MPEG1 and MPEG2 video decoder library
libmpeg2encpp-2.1-0_2.1.0+debian-5_amd64.deb MJPEG capture/editing/replay and MPEG encoding toolset (library)
libmpeg3-2_1.8.dfsg-2.1_amd64.deb MPEG streams decoding library
libmpeg3-dev_1.8.dfsg-2.1_amd64.deb Headers and static libraries for libMPEG3
libmpfi-dev-common_1.5.3+ds-2_all.deb multiple precision floating-point interval computation library -- headers
libmpfi-dev_1.5.3+ds-2_amd64.deb multiple precision floating-point interval computation library -- libdev
libmpfi-doc_1.5.3+ds-2_all.deb multiple precision floating-point interval computation library -- doc
libmpfi0-dev_1.5.3+ds-2_all.deb transitional dummy package
libmpfi0_1.5.3+ds-2_amd64.deb multiple precision floating-point interval computation library -- lib
libmpfr-dev_4.0.2-1_amd64.deb multiple precision floating-point computation developers tools
libmpfr-doc_4.0.2-1_all.deb multiple precision floating-point computation documentation
libmpfr6_4.0.2-1_amd64.deb multiple precision floating-point computation
Advertisement
Advertisement